csFogInfo Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
csFogInfo Class Reference
Views & Cameras

Information for vertex based fog. More...

`#include <iengine/rview.h>`

List of all members.

## Public Attributes
csFog * | fog
| The structure describing the fog.
bool | has_incoming_plane
| If this is false then there is no incoming plane (the current sector has fog and is not being drawn through a portal).
bool | has_outgoing_plane
| If this is false there is no outgoing plane.
csPlane3 | incoming_plane
| The incoming plane (plane of the portal).
csFogInfo * | next
| Next in list (back in recursion time).
csPlane3 | outgoing_plane
| The outgoing plane (also of a portal).

## Detailed Description

Information for vertex based fog.

There is an instance of this structure in iRenderView for every fogged sector that we encounter. It contains information which allows us to calculate the thickness of the fog for any given ray through the incoming and outgoing portals of the sector.

Definition at line 55 of file rview.h.

## Member Data Documentation

csFog* csFogInfo::fog

The structure describing the fog.

Definition at line 79 of file rview.h.

bool csFogInfo::has_incoming_plane

If this is false then there is no incoming plane (the current sector has fog and is not being drawn through a portal).

Definition at line 69 of file rview.h.

bool csFogInfo::has_outgoing_plane

If this is false there is no outgoing plane.

The 'outgoing plane distance' is then calculated by straight distance to a vertex instead of projecting throught the outgoing plane

Definition at line 76 of file rview.h.

csPlane3 csFogInfo::incoming_plane

The incoming plane (plane of the portal).

Definition at line 62 of file rview.h.

csFogInfo* csFogInfo::next

Next in list (back in recursion time).

Definition at line 59 of file rview.h.

csPlane3 csFogInfo::outgoing_plane

The outgoing plane (also of a portal).

Definition at line 64 of file rview.h.

The documentation for this class was generated from the following file:

- iengine/rview.h